Bug 974238 - systemd stuck when auto-mouting volume for NFS
systemd stuck when auto-mouting volume for NFS
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 14:44 EDT by Piergiorgio Sartor
Modified: 2016-07-19 14:58 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:58:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piergiorgio Sartor 2013-06-13 14:44:32 EDT
Description of problem:
I've an LVM volume which is set for "automount" in /etc/fstab, as:

...
LABEL=linux		/mnt/linux	ext4	defaults,nodev,nosuid,noatime,noauto,comment=systemd.automount 1 2

This volume is also exported, via NFS, to another PC, which, in turns, automount it (using autofs) on demand.

Now, the filesystem on the volume has a mount counter check.
It is set to 61, this means, as you know, each 61 mounts an "fsck" happens.

Now, if the volume is accessed via NFS and the "fsck" has to be done, "systemd.fsck" (or whatever is called) it just stuck.
The mounter waits, no fsck happens, the sky is blue and the birds sing.

So, basically, on the server there is no sign of the problem, the client just waits and it cannot be interrupted (ctrl-c does not work, I guess NFS wait is the issue, here).

From the server, if "ls /mnt/linux" is tried, it stuck too, but ctrl-c work.
It seems there is no way to go further, except from reboot.

Sometimes other things, which depends on systemd, stuck too.

Version-Release number of selected component (if applicable):
systemd-201-2.fc18.7.x86_64

How reproducible:
It seems always, under the above conditions

Steps to Reproduce:
1.
Setup an automount volume, with mount check, and export for NFS
2.
Mount, from NFS (same PC will do too, I guess) while the check is due

Actual results:
Nothing happens, it just wait

Expected results:
The fsck should run and after that the volume should be mounted

Additional info:
Accessing the volume directly, for example with "ls", under the same conditions, results in "ls" waiting for the "fsck" (which runs) and the volume being mounted after (and displaying the output of "ls")
Comment 1 Lennart Poettering 2013-06-21 07:13:40 EDT
I am not sure if the kernel NFS server is happy to expose autofs file systems.

When this happens, can get us a bit of journal output plus "systemctl list-jobs"?
Comment 2 Piergiorgio Sartor 2013-06-21 13:27:53 EDT
(In reply to Lennart Poettering from comment #1)
> I am not sure if the kernel NFS server is happy to expose autofs file
> systems.
> 
> When this happens, can get us a bit of journal output plus "systemctl
> list-jobs"?

Hi Lennart,

I checked it again, just setting the mount count to the max, starting NFS and trying to mount it from the client.
I've to correct myself, the "fsck" actually starts and it finishes.
Problem is, for some reason, "systemd" is stuck after.

"systemctl list-jobs" just waits and it ends with:

Failed to get D-Bus connection: Failed to authenticate in time.

I do not know if the command above works in normal cases, I'll have to try after reboot, since "systemd" is now stuck.

The output of "ps axww", concerning "systemd", has:

...
4308 ?        S      0:00 /usr/lib/systemd/systemd-cgroups-agent /system/systemd-fsck@.service/dev-disk-by\x2dlabel-linux
 4309 ?        S      0:00 /usr/lib/systemd/systemd-cgroups-agent /system/systemd-fsck@.service
...

After "fsck" is finished, and it is still there after the "DBus" error (which happened again, I tried a second time).
So, it seems these two are waiting forever.

The meaningful lines of "journalctl" are:

...
Jun 21 19:15:36 lazy.lzy systemd[1]: Starting File System Check on /dev/disk/by-label/linux...
Jun 21 19:15:36 lazy.lzy systemd-fsck[4295]: linux has been mounted 61 times without being checked, check forced.
Jun 21 19:16:11 lazy.lzy systemd-fsck[4295]: linux: 171212/15728640 files (1.9% non-contiguous), 52818621/62914560 blocks
Jun 21 19:16:11 lazy.lzy systemd[1]: Started File System Check on /dev/disk/by-label/linux.
Jun 21 19:16:11 lazy.lzy systemd[1]: Mounting /mnt/linux...
...

Nothing more than that, but the mount did not happen.

That's should be all, I hope it helps,

bye,

pg
Comment 3 Piergiorgio Sartor 2013-06-21 13:59:36 EDT
(In reply to Lennart Poettering from comment #1)
> I am not sure if the kernel NFS server is happy to expose autofs file
> systems.
> 
> When this happens, can get us a bit of journal output plus "systemctl
> list-jobs"?

Hi again,

I had to reset the PC, systemd was so stuck that "reboot" or "poweroff" did not work, they simply returned after some time.

I tried "systemctl list-jobs" under normal conditions and it returns:

 JOB UNIT                      TYPE            STATE  

0 jobs listed.

I'm not sure if it is as expected.

Hope this helps

bye,

pg
Comment 4 Piergiorgio Sartor 2013-10-06 08:56:28 EDT
Hi all,

it seems F-19 has the same issue, or similar.
It just happened again.

Just to clarify in order to avoid misuderstadings, what is set as "automount", in "/etc/fstab", is not the NFS share by itself, but the LVM volume which is used by NFS.

The assumption here is that *any* first access to the volume will trigger the automount feature, independently from what is doing it.
As a consequence, if a "fsck" is needed, it will be performed without problems too.

Any idea on possible fixes?

Thanks,

bye,

pg
Comment 5 Fedora End Of Life 2013-12-21 09:00:01 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Piergiorgio Sartor 2013-12-21 09:13:40 EST
Update to F-20.

bye,

pg
Comment 7 Fedora End Of Life 2015-05-29 05:07:16 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Piergiorgio Sartor 2015-06-16 12:35:36 EDT
Keepalive update to F22.

bye,

pg
Comment 9 Fedora End Of Life 2016-07-19 14:58:10 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.